{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/ROTERTIGER_1/a4h-skill-backend/1.0.0"}],"info":{"description":"backend-api for the skill and for admins","version":"1.0.0","title":"a4h-backend-api","contact":{"email":"gaga.gaga@gmx.ch"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"admins","description":"secured admin-only calls"},{"name":"developers","description":"operations available to regular skill"}],"paths":{"/room":{"get":{"tags":["developers"],"summary":"asks for current room","operationId":"getCurrentRoom","description":"ask for the current room defined by persistent-unit-id","parameters":[{"in":"query","name":"persistent-unit-id","description":"pass the persistent-unit-id for lookup in rooms","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"room","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Room"}}}},"404":{"description":"not found"}}}},"/hotel":{"get":{"tags":["developers"],"summary":"asks for hotel data","operationId":"getHotelData","description":"ask for the current room's hotel data","parameters":[{"in":"query","name":"persistent-unit-id","description":"pass the persistent-unit-id for lookup in rooms","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"hotel data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HotelData"}}}},"404":{"description":"not found"}}}},"/response":{"get":{"tags":["developers"],"summary":"searches skill response","operationId":"searchSkillResponse","description":"by passing in the appropriate options, you can search for\navailable skill responses in the system\n","parameters":[{"in":"query","name":"persistent-unit-id","description":"pass the persistent-unit-id for lookup in rooms","required":true,"schema":{"type":"string"}},{"in":"query","name":"intentName","description":"pass an intent name","required":false,"schema":{"type":"string"}},{"in":"query","name":"slotName","description":"pass a slot name","schema":{"type":"string"}},{"in":"query","name":"slotValue","description":"pass a slot value","schema":{"type":"string"}}],"responses":{"200":{"description":"skill response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SkillResponse"}}}},"400":{"description":"bad input parameter"},"404":{"description":"not found"}}}},"/request":{"post":{"tags":["developers"],"summary":"adds a new request","operationId":"addRequest","description":"adds a request to the system","responses":{"201":{"description":"request created"},"400":{"description":"invalid input, object invalid"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Request"}}},"description":"request to add"}}}},"components":{"schemas":{"SkillResponse":{"type":"object","description":"the combination intentName, slotName, slotValue must be unique","required":["intentName","slotName","slotValue","response"],"properties":{"intentName":{"type":"string","example":"CostIntent"},"slotName":{"type":"string","example":"facility"},"slotValue":{"type":"string","example":"GYM"},"response":{"type":"array","items":{"$ref":"#/components/schemas/SkillResponseComponent"}}}},"SkillResponseComponent":{"type":"object","required":["speakoutput","displayoutput","type","editable","exampleQuestion"],"properties":{"speakOutput":{"type":"string","example":"Gym im EG"},"displayOutput":{"$ref":"#/components/schemas/SkillResponseComponentDisplayOutput"},"type":{"type":"string","example":"default"},"editable":{"type":"boolean","example":true},"exampleQuestion":{"type":"string","example":"Gibt es ein Gym"}}},"SkillResponseComponentDisplayOutput":{"type":"object","required":["name","images"],"properties":{"primaryText":{"type":"string","example":"Gym im Haus"},"secondaryText":{"type":"string","example":"Sie finden unser Gym im EG"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageData"}}}},"ImageData":{"type":"object","description":"data for an image. could be enriched as we wish (see IStrapiImage)","required":["id","name"],"properties":{"url":{"type":"string","format":"url","example":"https://strapi-yourstruly.s3.eu-west-1.amazonaws.com/Yours_Truly_Black_ba5640329a.png"}}},"Room":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","example":"72"},"name":{"type":"string","example":"102 honeymoonsuite"}}},"Request":{"type":"object","required":["persistent-unit-id","title","body","orderStatus","orderOpen","orderItem","orderItemId","orderType","fromGuest","locale"],"properties":{"persistent-unit-id":{"type":"string","example":"amzn1.alexa.unit.did.AGPAAFGFSSAFFHDAG37XBF6XX2L43AWNMOHVP5PFVCOULY2AERYJHBOMSTMNVQC4U73M6JFQWURBHEK4CJHKCWOUF5JFFSFGZPFIX63N"},"room":{"$ref":"#/components/schemas/Room"},"title":{"type":"string","example":"Anfrage"},"body":{"type":"string","example":"Der Gast hat eine Wartungsanfrage"},"orderStatus":{"type":"string","enum":["OPEN","PROGRESS","DONE"],"example":"OPEN"},"orderOpen":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z"},"orderDone":{"type":"string","format":"date-time","example":"2017-08-29T09:12:33.001Z"},"orderQuantity":{"type":"integer","example":3},"orderItem":{"type":"string","example":"apple-tv"},"orderItemId":{"type":"string","example":"APPLE-TV"},"orderType":{"type":"string","example":"maintenance"},"fromGuest":{"type":"string","format":"boolean","example":true},"locale":{"type":"string","enum":["en-US","de-DE","it-IT"],"example":"de-DE"}}},"HotelData":{"type":"object","required":["name"],"properties":{"name":{"type":"string","example":"Grand Hotel"},"timezone":{"type":"string","example":"Europe/Vienna"},"default-background-image":{"$ref":"#/components/schemas/ImageData"},"default-horizontal-background-image":{"$ref":"#/components/schemas/ImageData"},"default-image":{"$ref":"#/components/schemas/ImageData"},"default-logo":{"$ref":"#/components/schemas/ImageData"},"default-title":{"type":"string","example":"Grand Hotel"},"default-subtitle":{"type":"string","example":"The best hotel for kids"},"afterhours-start":{"type":"string","example":"22:00"},"afterhours-end":{"type":"string","example":"06:30"},"enabled-checkout":{"type":"boolean","example":true},"enabled-pms":{"type":"boolean","example":false},"table-reservation-max-people":{"type":"integer","example":4},"table-reservation-max-time":{"type":"string","format":"time","example":"19:00"}}}}}}